
body {
  background-image: url(https://lianne81194.carrd.co/assets/images/image18.png?v=cd9b0119);
  background-color: pink;
  background-repeat: no-repeat;
  background-size: cover;
  font-family: "Inter", serif;
}

* {
  cursor: url('https://cdn.custom-cursor.com/db/3889/32/arrow2279.png') 16 16, pointer !important;
}

html {
  overflow: scroll;
  overflow-x: hidden;
}

/* Hide scrollbar */
::-webkit-scrollbar {
  width: 0;
  background: transparent;
}

::-webkit-scrollbar-thumb {
  background: transparent;
}


.grid-container {
    max-width: 1000px;
    margin-left: auto; 
    margin-right: auto; 
    margin-top: 30px;
    display: grid;
    grid-template-columns: 200px 200px 200px 200px 200px; /* same as before */
    grid-template-rows: 140px 350px 100px 50px auto;
    gap: 1em;
    grid-template-areas: 
        "box1 box1 box1 box1 box1"
        "box2 box2 box2 box3 box3"
        "box4 box6 box6 box3 box3"
        "box4 . . box3 box3"
        ". . .box5 box5";
}


header{
    grid-area: box1;
    border: rgb(251, 251, 251) 2px solid;
    background-color: rgba(19, 10, 80, 0.8);
    border-radius: 5px;
    position: relative;
    background-image: url("https://media.licdn.com/dms/image/v2/D4E16AQHD9gODK7OK8A/profile-displaybackgroundimage-shrink_200_800/B4EZsNOEx2GcAY-/0/1765453352763?e=2147483647&v=beta&t=bskERu6-YFdqhbYRiL8BUkqOL_F7wphXZy-4Xza2rbo");
    background-size: cover;
}



main{
  font-family: moonstruck;
    grid-area: box2;
    border: rgb(243, 242, 228) 2px solid;
    color: rgb(243, 242, 228);
    background-color: rgba(2, 12, 14, 0.905);
    border-radius: 5px;
    position: relative;
    border-image: url(https://lianne81194.carrd.co/assets/images/image23.png?v=cb33d76e) 9 round;
}

main img {
    position: absolute;
    bottom: 0;
    right: -50px;
    height: 250px;
    width: auto;
}

article{
  font-family: moonstruck;
    grid-area: box3;
    margin: 20px;
    margin-right: 30px;
    border: rgb(243, 242, 228) 2px solid;
    background-color: rgba(67, 87, 114, 0.8);
    border-radius: 5px;
    position: relative;
    color: white;
}

.imgone {
    position: absolute;
    top: 0;
    right: -70px;
    height: 120px;

}

.imgtwo {
    position: absolute;
    top: -60px;
    right: 50px;
    height: 120px;

}


footer{
  font-family: moonstruck;
    position: relative;
    color: white;
    grid-area: box4;
    margin-right: 20px;
    border: rgb(83, 109, 90) 2px dashed;
    background-color: rgba(49, 71, 54, 0.7);
    border-radius: 5px;
    text-align: center;    
}


footer ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

a:link {
  color: pink;
  background-color: transparent;
  text-decoration: none;
}

a:visited {
  color: pink;
  background-color: transparent;
  text-decoration: none;
}

a:hover {
  color: red;
  background-color: transparent;
  text-decoration: underline;
}

a:active {
  color: yellow;
  background-color: transparent;
  text-decoration: underline;
}

.chatbox{
    grid-area: box5;
}






#miniplay {
    grid-area: box6;
    padding-left: 10px;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


#miniplay {
	width: 19em;
	height: 9em;
	font-family: "Inter", serif;
	background: #373535;
	border: 1px solid #373535;
	border-radius: 0.625rem;
	box-shadow: inset 10px 0px 6px -10px #232323, inset -10px 0px 6px -10px #ccc,
		inset 0px 10px 6px -10px #000000, inset 0px -10px 6px -10px #ccc;
	padding: 12px;
	cursor: move;
}

.stats {
	display: flex;
	align-items: center;
}

.track-art {
	width: 3.5em;
	height: 3.5em;
	object-fit: cover;
	border-radius: 4px;
	-webkit-filter: drop-shadow(0px 0px 1px #aaa);
	background-size: cover;
	background-position: center;
}

.slider_container {
	display: flex;
	justify-content: center;
	align-items: center;
	margin-top: 12px;
}

.current-time,
.total-duration {
	color: #abaaaa;
	font-family: "Inter", serif;
	font-size: 12px;
	padding: 4px;
}

.seek_slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 6px;
  height: 16px;
  background: #666;
	border: 2px solid #f5f5f5;
	border-radius: 10px;
}

.seek_slider,
.volume_slider {
	width: 100%;
}

.seek_slider,
.volume_slider {
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	height: 3px;
	background: #bbb;
}

.seek_slider::-webkit-slider-thumb,
.volume_slider::-webkit-slider-thumb {
	cursor: pointer;
}

.now-playing,
.track-name,
.track-artist {
	color: #bfbbbb;
	font-size: 13px;
	font-weight: 500;
	line-height: 1.3;
}

.now-playing {
	display: none;
}

.bttn {
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: center;
	gap: 14px;
}

.playpause-track,
.prev-track,
.next-track {
	opacity: 0.5;
    fill: #bfbbbb;
	color: #bfbbbb;
	transition: opacity 0.2s;
}

.playpause-track:hover,
.prev-track:hover,
.next-track:hover {
	opacity: 0.8;
}

i.fa-play,
i.fa-pause,
.prev-track,
.next-track {
	cursor: pointer;
}


